<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        //Создала функцию-конструктор 
    function Human(name,sex,age,country){
          this.name = name;
          this.sex = sex;
          this.age = age;
          this.country = country;
        };
    Human.prototype.showtext=function(){
        const num=45
              document.write(`Имя: ${this.name} </br>
              Пол: ${this.sex}</br>
              Возраст: ${this.age}</br>
              Страна: ${this.country}</br>
              Число: ${Math.round(num*Math.random())}</br><hr>`)
              /*math.round() округляет число,которое вышло после умножения
              рандомного числа от math.random()(числа с запятой от 0 до 1)
              на локальную константу 45 */
              //после каждого обновления страницы будет новое число
     };
     //4 экземпляра 
     const hum1= new Human("Татьяна","женщина",20,"Украина");
     hum1.showtext(); 
     const hum2= new Human("Алехандро","мужчина",22,"Колумбия");
     hum2.showtext();
     const hum3= new Human("София","женщина",28,"Болгария");
     hum3.showtext();
     const hum4= new Human("Адам","мужчина",35,"Канада");
     hum4.showtext();
     const hum5= new Human("Тимур","мужчина",30,"Татарстан");
     hum5.showtext();
    </script>
</body>
</html>